@echo off
if %1!==! goto Start_BC

REM Projekt-Laufwerk anw„hlen
D:

REM Einfache Anwendungen suchen
cd \gocprog\appl
if exist %1\nul goto Start_Verz

REM Unterverzeichnisse mit mehreren Eintr„gen abklappern
cd \gocprog\appl\spiele
if exist %1\nul goto Start_Verz
cd \gocprog\appl\tools
if exist %1\nul goto Start_Verz

cd \gocprog\library
if exist %1\nul goto Start_Verz

rem nichts gefunden
echo %1 existiert nicht
echo Syntax: TC Verz
echo   oder: TC Verz Unterverz
goto ENDE

:NO_UVZ
rem Unterverz nicht gefunden
echo %2 existiert nicht
echo Syntax: TC Verz
echo   oder: TC Verz Unterverz
goto ENDE

:Start_Verz
cd %1
if %2A==A goto Found
if not exist %2\nul goto NO_UVZ
cd %2
:Found
set sdkpath=%1 %2
SHIFT
SHIFT
:Start_BC
if not exist *.DSK xcopy D:\BCC\IDE\TCDEF.DSK .
BC %1 %2 %3 %4 %5 %6 %7 %8 %9
goto Ende

:ENDE

